Package org.silverpeas.mobile.client.apps.favorites

## Class FavoritesApp

- java.lang.Object
- - org.silverpeas.mobile.client.common.app.App
  - - org.silverpeas.mobile.client.apps.favorites.FavoritesApp

- All Implemented Interfaces:
    `com.google.gwt.event.shared.EventHandler`, `FavoritesAppEventHandler`, `NavigationEventHandler`, `AppEventHandler`

      public class FavoritesApp
      extends App
      implements FavoritesAppEventHandler, NavigationEventHandler

- - ### Field Summary

    - ### Fields inherited from class org.silverpeas.mobile.client.common.app.App

      `container`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `FavoritesApp()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFavorite​(AddFavoriteEvent event)` |
    `void` | `appInstanceChanged​(NavigationAppInstanceChangedEvent event)` |
    `void` | `deleteFavorites​(FavoritesDeleteEvent favoritesDeleteEvent)` |
    `void` | `gotoApp​(GotoAppEvent event)` |
    `void` | `loadFavorites​(FavoritesLoadEvent event)` |
    `void` | `showContent​(NavigationShowContentEvent event)` |
    `void` | `start()` |
    `void` | `stop()` |

    - ### Methods inherited from class org.silverpeas.mobile.client.common.app.App

      `getApplicationInstance, getAppName, getMainPage, isStopLoading, receiveEvent, setApplicationInstance, setMainPage, setStopLoading, startWithContent, stopLoadingDataEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FavoritesApp

          public FavoritesApp()

  - ### Method Detail

    - #### start

          public void start()

      Overrides:
        `start` in class `App`

    - #### stop

          public void stop()

      Overrides:
        `stop` in class `App`

    - #### loadFavorites

          public void loadFavorites​(FavoritesLoadEvent event)

      Specified by:
        `loadFavorites` in interface `FavoritesAppEventHandler`

    - #### addFavorite

          public void addFavorite​(AddFavoriteEvent event)

      Specified by:
        `addFavorite` in interface `FavoritesAppEventHandler`

    - #### gotoApp

          public void gotoApp​(GotoAppEvent event)

      Specified by:
        `gotoApp` in interface `FavoritesAppEventHandler`

    - #### deleteFavorites

          public void deleteFavorites​(FavoritesDeleteEvent favoritesDeleteEvent)

      Specified by:
        `deleteFavorites` in interface `FavoritesAppEventHandler`

    - #### appInstanceChanged

          public void appInstanceChanged​(NavigationAppInstanceChangedEvent event)

      Specified by:
        `appInstanceChanged` in interface `NavigationEventHandler`

    - #### showContent

          public void showContent​(NavigationShowContentEvent event)

      Specified by:
        `showContent` in interface `NavigationEventHandler`
      Overrides:
        `showContent` in class `App`